Bug 470826 - openibd service is enabled by default
openibd service is enabled by default
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openib (Show other bugs)
4.7
All Linux
high Severity medium
: rc
: ---
Assigned To: Doug Ledford
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 09:39 EST by Olivier Fourdan
Modified: 2013-03-03 21:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1022 normal SHIPPED_LIVE openib bug fix and enhancement update 2009-05-18 10:44:10 EDT

  None (edit)
Description Olivier Fourdan 2008-11-10 09:39:03 EST
Description of problem:

Upgrading to kernel 2.6.9-78, the module ib_ipoib now depends on ipv6 (2.6.9-67 was also affected, but previous version of EL4 kernels did not have that dependency between ib_ipiob and ipv6)

Version-Release number of selected component (if applicable):

2.6.9-78

How reproducible:

100% reproducible

Steps to Reproduce:
1. modinfo ib_ipoib
2. check "depends:"

Actual results:

depends:        ib_cm,ipv6,ib_core,ib_sa 

Expected results:

depends:        ib_cm,ib_core,ib_sa 

Additional info:

This dependency is explicitly mentioned in Kconfig and the code of the module ulp/ipoib/ipoib_cm.c also checks if CONFIG_IPV6 or CONFIG_IPV6_MODULE is set and uses icmpv6_send() if available so the dependency is real, from a code point of view.
Comment 1 Doug Ledford 2009-01-07 12:33:15 EST
I think I'm not getting the point of this bug.  The newer ipoib stack can now use the ipv6 stuff, so the dependency is both real and legitimate.  What exactly are people wanting me to do about that?
Comment 13 Gurhan Ozen 2009-03-05 13:53:07 EST
# rpm -ivh /mnt/redhat/brewroot/packages/openib/1.4/1.el4/x86_64/openib-1.4-1.el4.x86_64.rpm
# chkconfig --list openibd
openibd        	0:off	1:off	2:off	3:off	4:off	5:off	6:off
Comment 15 errata-xmlrpc 2009-05-18 16:35:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1022.html

Note You need to log in before you can comment on or make changes to this bug.